import _extends from "@babel/runtime/helpers/esm/extends";
import { stringify } from 'qs';

/**
 * converts query params object to query string
 *
 * @param {object} queryParams
 * @param {object} [options={}]
 * @param {'indices'|'brackets'|'repeat'|'comma'} [options.arrayFormat] - specify the format of the output array
 * @param {string} [options.delimiter] - delimiter
 * @param {boolean} [options.encode=true] - encode
 */
function toQueryString(queryParams, options) {
  if (options === void 0) {
    options = {};
  }
  var _options = options,
    arrayFormat = _options.arrayFormat,
    delimiter = _options.delimiter,
    _options$encode = _options.encode,
    encode = _options$encode === void 0 ? true : _options$encode;
  var mergedOptions = _extends({
    encode: encode
  }, typeof arrayFormat !== 'undefined' && {
    arrayFormat: arrayFormat
  }, typeof delimiter !== 'undefined' && {
    delimiter: delimiter
  });
  return stringify(queryParams, mergedOptions);
}
export default toQueryString;